For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
      • GETGet a list of all participant groups within a project or workspace
      • POSTCreate a new participant group within a workspace
      • GETGet a participant group
      • DELDelete a participant group
      • PATCHUpdate a participant group
      • GETGet a list of all participants within a participant group
      • POSTAdd participants to a participant group
      • DELRemove participants from a participant group
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceParticipant Groups

Create a new participant group within a workspace

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/participant-groups/
POST
/api/v1/participant-groups/
$curl -X POST https://api.prolific.com/api/v1/participant-groups/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Group 1",
> "workspace_id": "5e9b9c9b0f9c9a0001b1ca2f",
> "description": "Participants with confirmed special dietary requirements.",
> "participant_ids": [
> "5e9b9c9b0f9c9a0001b0b1f4",
> "5e9b9c9b0f9c9a0001b0b1f5",
> "5e9b9c9b0f9c9a0001b0b1f6"
> ]
>}'
1{
2 "description": "My first participant group",
3 "feeder_studies": [
4 {
5 "id": "5e9b9c9b0f9c9a0001b0b1f4",
6 "name": "Study 1",
7 "internal_name": "My Study",
8 "status": "COMPLETED",
9 "feeder_completion_codes": [
10 {
11 "code": "AJVRH234",
12 "code_type": "COMPLETION_CODE",
13 "action": "ADD_TO_PARTICIPANT_GROUP"
14 }
15 ]
16 }
17 ],
18 "id": "5e9b9c9b0f9c9a0001b0b1f5",
19 "is_deleted": false,
20 "name": "Group 1",
21 "organisation_id": "5e9b9c9b0f9c9a0001b1ca2f",
22 "participant_count": 10,
23 "workspace_id": "5e9b9c9b0f9c9a0001b1ca2f",
24 "project_id": null
25}
Was this page helpful?
Previous

Get a list of all participant groups within a project or workspace

Next

Get a participant group

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Request

This endpoint expects an object.
namestringRequired
The name of the participant group
workspace_idstringOptional
The id of the workspace to create the participant group in. Either a workspace or organisation ID must be specified.
organisation_idstringOptional
The id of the organisation to create the participant group in. Either a workspace or organisation ID must be specified.
descriptionstringOptional
A description of the participant group
participant_idslist of stringsOptional
The ids of participants to be initially added to the group

Response

Participant group created
descriptionstring or null

The user-provided description of the participant group

feeder_studieslist of objectsRead-only
Details of all studies which are configured to modify the participants in this group through completion codes.
idstring
The id of the participant group
is_deletedbooleanRead-only
Whether the participant group has been deleted
namestring
The name of the participant group
organisation_idstring or null
The id of the organisation the participant group belongs to. A participant group can only belong to either a workspace or an organisation.
participant_countintegerRead-only
The number of participants in the participant group
workspace_idstring or null
The id of the workspace the participant group belongs to. A participant group can only belong to either a workspace or an organisation.
project_idstring or nullDeprecated
The id of the project the participant group belongs to

Errors

4XX
Client Request Error

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.